// pit - pay in three
// pif - pay in four
// pl - pay later
var settingsMapping = {
    general: {
        pit: {
            installmentsNumber: 'scalapayPiTInstallments',
            frequency: 'scalapayPiTFFrequency',
            minPaymentVal: 'scalapayPiTMinValue',
            maxPaymentVal: 'scalapayPiTMaxValue'
        },
        pif: {
            installmentsNumber: 'scalapayPiFInstallments',
            frequency: 'scalapayPiTFFrequency',
            minPaymentVal: 'scalapayPiFMinValue',
            maxPaymentVal: 'scalapayPiFMaxValue'
        },
        pl: {
            installmentsNumber: 'scalapayPLInstallments',
            frequency: 'scalapayPLFrequency',
            minPaymentVal: 'scalapayPLMinValue',
            maxPaymentVal: 'scalapayPLMaxValue'
        },
        global: {
            currencyPos: 'scalapayCurrencyPosition',
            currencyDisplay: 'scalapayCurrencyDisplay',
            theme: 'scalapayTheme'
        },
        availability: {
            product: {
                pit: 'scalapayProductPiTEnabled',
                pif: 'scalapayProductPiFEnabled',
                pl: 'scalapayProductPLEnabled'
            },
            cart: {
                pit: 'scalapayCartPiTEnabled',
                pif: 'scalapayCartPiFEnabled',
                pl: 'scalapayCartPLEnabled'
            },
            pit: 'scalapayEnablePiT',
            pif: 'scalapayEnablePiF',
            pl: 'scalapayEnablePL',
            global: 'scalaPayEnabled'
        },
        pages: ['product', 'cart'],
        options: ['pit', 'pif', 'pl'],
        paymentProductTypes: {
            pit: 'pay-in-3',
            pif: 'pay-in-4',
            pl: 'later'
        },
        frequencySettings: {
            pit: 1,
            pif: 1,
            pl: 14
        },
        frequencyType: {
            pit: 'monthly',
            pif: 'monthly',
            pl: 'daily'
        }
    },
    product: {
        pit: {
            hidePrice: 'scalapayProductPiTHidePrice',
            logoSize: 'scalapayProductPiTLogoSize'
        },
        pif: {
            hidePrice: 'scalapayProductPiFHidePrice',
            logoSize: 'scalapayProductPiFLogoSize'
        },
        global: {
            priceSelector: 'scalaPayProductPriceSelector'
        }
    },
    cart: {
        pit: {
            hidePrice: 'scalapayCartPiTHidePrice',
            logoSize: 'scalapayCartPiTLogoSize'
        },
        pif: {
            hidePrice: 'scalapayCartPiFHidePrice',
            logoSize: 'scalapayCartPiFLogoSize'
        },
        global: {
            priceSelector: 'scalaPayCartPriceSelector'
        }
    }
};

module.exports = settingsMapping;
